/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;
import jp.mosp.common.dao.CmUserDao;

/**
 * ユーザーテーブルのレコードを格納する。<br><br>
 * {@link CmUserDao}を介して、DBとJavaプログラム間でレコードを共有する。<br>
 * ユーザーテーブルのカラムに対応するアクセサメソッドを提供する。
 */
public class CmUserDto extends BaseDto {
	
	private static final long serialVersionUID = 1583650239702032294L;
	
	// フィールド
	private String userId;
	private String password;
	private String kCode;
	private String userName;
	private String authority;
	private int    dataLevel;
	private Date   changePass;
	private int    deleteFlag;
	private String commonCss;
	private String mospAuthority;
	private String payrollAuthority;
	private String zaimuAuthority;
	private String salesAuthority;
	private String expenseAuthority;
	private String ext1Authority;
	private String ext2Authority;
	private String ext3Authority;
	private String ext4Authority;
	private String ext5Authority;
	
	/**
	 * コンストラクタ
	 */
	public CmUserDto(){
		super();
	}
	
	
	// アクセサメソッド
	/**
	 * ユーザーIDを取得する。<br>
	 * @return ユーザーID
	 */
	public String getUserId() { return userId; }
	
	/**
	 * ユーザーIDを設定する。<br>
	 * @param userId ユーザーID
	 */
	public void setUserId(String userId) { this.userId = userId; }
	
	/**
	 * パスワードを取得する。<br>
	 * @return パスワード
	 */
	public String getPassword() { return password; }
	
	/**
	 * パスワードを設定する。<br>
	 * @param password パスワード
	 */
	public void setPassword(String password) { this.password = password; }
	
	/**
	 * 社員コードを取得する。<br>
	 * @return 社員コード
	 */
	public String getKCode() { return kCode; }
	
	/**
	 * 社員コードを設定する。<br>
	 * @param kCode 社員コード
	 */
	public void setKCode(String kCode) { this.kCode = kCode; }
	
	/**
	 * ユーザー名を取得する。<br>
	 * @return ユーザー名
	 */
	public String getUserName() { return userName; }
	
	/**
	 * ユーザー名を設定する。<br>
	 * @param userName ユーザー名
	 */
	public void setUserName(String userName) { this.userName = userName; }
	
	/**
	 * プログラム利用権限を取得する。<br>
	 * @return プログラム利用権限
	 */
	public String getAuthority() { return authority; }
	
	/**
	 * プログラム利用権限を設定する。<br>
	 * @param authority プログラム利用権限
	 */
	public void setAuthority(String authority) { this.authority = authority; }
	
	/**
	 * データ参照レベルを取得する。<br>
	 * @return データ参照レベル
	 */
	public int getDataLevel() { return dataLevel; }
	
	/**
	 * データ参照レベルを設定する。<br>
	 * @param dataLevel データ参照レベル
	 */
	public void setDataLevel(int dataLevel) { this.dataLevel = dataLevel; }
	
	/**
	 * パスワード変更日を取得する。<br>
	 * @return パスワード変更日
	 */
	public Date getChangePass() { return getDateField(changePass); }
	
	/**
	 * パスワード変更日を設定する。<br>
	 * @param changePass パスワード変更日
	 */
	public void setChangePass(Date changePass) { this.changePass = getDateField(changePass); }
	
	/**
	 * 削除フラグを取得する。<br>
	 * @return 削除フラグ
	 */
	public int getDeleteFlag() { return deleteFlag; }
	
	/**
	 * 削除フラグを設定する。<br>
	 * @param deleteFlag 削除フラグ
	 */
	public void setDeleteFlag(int deleteFlag) { this.deleteFlag = deleteFlag; }
	
	/**
	 * 共通cssファイルURLを取得する。<br>
	 * @return 共通cssファイルURL
	 */
	public String getCommonCss() { return commonCss; }
	
	/**
	 * 共通cssファイルURLを設定する。<br>
	 * @param commonCss 共通cssファイルURL
	 */
	public void setCommonCss(String commonCss) { this.commonCss = commonCss; }
	
	/**
	 * MosP利用権限を取得する。<br>
	 * @return MosP利用権限
	 */
	public String getMospAuthority() { return mospAuthority; }
	
	/**
	 * MosP利用権限を設定する。<br>
	 * @param mospAuthority MosP利用権限
	 */
	public void setMospAuthority(String mospAuthority) { this.mospAuthority = mospAuthority; }
	
	/**
	 * 人事給与システム利用権限を取得する。<br>
	 * @return 人事給与システム利用権限
	 */
	public String getPayrollAuthority() { return payrollAuthority; }
	
	/**
	 * 人事給与システム利用権限を設定する。<br>
	 * @param payrollAuthority 人事給与システム利用権限
	 */
	public void setPayrollAuthority(String payrollAuthority) { this.payrollAuthority = payrollAuthority; }
	
	/**
	 * 財務会計システム利用権限を取得する。<br>
	 * @return 財務会計システム利用権限
	 */
	public String getZaimuAuthority() { return zaimuAuthority; }
	
	/**
	 * 財務会計システム利用権限を設定する。<br>
	 * @param zaimuAuthority 財務会計システム利用権限
	 */
	public void setZaimuAuthority(String zaimuAuthority) { this.zaimuAuthority = zaimuAuthority; }
	
	/**
	 * 販売管理システム利用権限を取得する。<br>
	 * @return 販売管理システム利用権限
	 */
	public String getSalesAuthority() { return salesAuthority; }
	
	/**
	 * 販売管理システム利用権限を設定する。<br>
	 * @param salesAuthority 販売管理システム利用権限
	 */
	public void setSalesAuthority(String salesAuthority) { this.salesAuthority = salesAuthority; }
	
	/**
	 * 経費精算システム利用権限を取得する。<br>
	 * @return 販売管理システム利用権限
	 */
	public String getExpenseAuthority() { return expenseAuthority; }
	
	/**
	 * 経費精算システム利用権限を設定する。<br>
	 * @param expenseAuthority 販売管理システム利用権限
	 */
	public void setExpenseAuthority(String expenseAuthority) { this.expenseAuthority = expenseAuthority; }
	
	/**
	 * 予備システム1利用権限を取得する。<br>
	 * @return 予備システム1利用権限
	 */
	public String getExt1Authority() { return ext1Authority; }
	
	/**
	 * 予備システム1利用権限を設定する。<br>
	 * @param ext1Authority 予備システム1利用権限
	 */
	public void setExt1Authority(String ext1Authority) { this.ext1Authority = ext1Authority; }
	
	/**
	 * 予備システム2利用権限を取得する。<br>
	 * @return 予備システム2利用権限
	 */
	public String getExt2Authority() { return ext2Authority; }
	
	/**
	 * 予備システム2利用権限を設定する。<br>
	 * @param ext2Authority 予備システム2利用権限
	 */
	public void setExt2Authority(String ext2Authority) { this.ext2Authority = ext2Authority; }
	
	/**
	 * 予備システム3利用権限を取得する。<br>
	 * @return 予備システム3利用権限
	 */
	public String getExt3Authority() { return ext3Authority; }
	
	/**
	 * 予備システム3利用権限を設定する。<br>
	 * @param ext3Authority 予備システム3利用権限
	 */
	public void setExt3Authority(String ext3Authority) { this.ext3Authority = ext3Authority; }
	
	/**
	 * 予備システム4利用権限を取得する。<br>
	 * @return 予備システム4利用権限
	 */
	public String getExt4Authority() { return ext4Authority; }
	
	/**
	 * 予備システム4利用権限を設定する。<br>
	 * @param ext4Authority 予備システム4利用権限
	 */
	public void setExt4Authority(String ext4Authority) { this.ext4Authority = ext4Authority; }
	
	/**
	 * 予備システム5利用権限を取得する。<br>
	 * @return 予備システム5利用権限
	 */
	public String getExt5Authority() { return ext5Authority; }
	
	/**
	 * 予備システム5利用権限を設定する。<br>
	 * @param ext5Authority 予備システム5利用権限
	 */
	public void setExt5Authority(String ext5Authority) { this.ext5Authority = ext5Authority; }
	
}
